Move reserved positions to open positions

PATCH https://api.cryptohopper.com/v1/hopper/{id}/reserved/movetopositions

Moves the given reserved positions back to the hopper's open positions. A reserved position in the hopper's quote currency is removed instead.

reserved_id is an array of reserved position IDs (a single ID is also accepted). IDs that are not found are skipped without an error. If the hopper is not found or has no config, the call returns data "No config found for hopper." instead of an error. Not available for exchange arbitrage, market maker, copy and grid bots.

Example request

curl -X PATCH "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/reserved/movetopositions" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"reserved_id":[55501,55502]}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "Funds moved to open positions."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.